--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Iterates over the records in the dataset and returns set. If opts have been passed that modify the columns, reset the column information.
full_name: Sequel::Dataset#each
is_singleton: false
name: each
params: (opts = nil, &block)
visibility: public
